'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _material = require('../material');

var _material2 = _interopRequireDefault(_material);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ReduxFormDateTimePicker = function ReduxFormDateTimePicker(_ref) {
  var _ref$input = _ref.input,
      onBlur = _ref$input.onBlur,
      inputProps = (0, _objectWithoutProperties3.default)(_ref$input, ['onBlur']),
      _ref$meta = _ref.meta,
      touched = _ref$meta.touched,
      error = _ref$meta.error,
      warning = _ref$meta.warning,
      _onChange = _ref.onChange,
      props = (0, _objectWithoutProperties3.default)(_ref, ['input', 'meta', 'onChange']);
  return _react2.default.createElement(_material2.default, (0, _extends3.default)({}, inputProps, props, touched && { errorText: error || warning } || {}, {
    onChange: function onChange(e, val) {
      if (typeof inputProps.onChange === 'function') {
        inputProps.onChange(val);
      }

      if (typeof _onChange === 'function') {
        _onChange(val);
      }
    }
  }));
};

ReduxFormDateTimePicker.propTypes = {
  input: _propTypes2.default.shape({
    onChange: _propTypes2.default.func.isRequired
  }),
  onChange: _propTypes2.default.func,
  meta: _propTypes2.default.shape({
    touched: _propTypes2.default.bool,
    error: _propTypes2.default.string,
    warning: _propTypes2.default.string
  })
};

exports.default = ReduxFormDateTimePicker;